## ros-kinetic-uwsim-osgbullet 3.0.1

=== applications/CMakeLists.txt ===
SET( CATEGORY App )

ADD_SUBDIRECTORY( osgbpp )

=== examples/centerofmass/CMakeLists.txt ===
_osgBulletMakeInteractionExe( centerofmass
    centerofmass.cpp
)

=== examples/collision/CMakeLists.txt ===
_osgBulletMakeCollisionExe( collision
    collision.cpp
)

=== examples/patch-lowlevel/CMakeLists.txt ===
_osgBulletMakeInteractionExe( patch-lowlevel
    patch-lowlevel.cpp
)

=== src/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY( osgdb_osgbDynamics )
ADD_SUBDIRECTORY( osgdb_sgb )

=== tests/callback/CMakeLists.txt ===
_osgBulletMakeInteractionExe( callback
    callback.cpp
)

=== tests/robot/CMakeLists.txt ===
_osgBulletMakeDynamicsExe( robot
    robot.cpp
)

=== tests/scale/CMakeLists.txt ===
_osgBulletMakeDynamicsExe( scale
    scale.cpp
)

=== debian/changelog ===
ros-kinetic-uwsim-osgbullet (3.0.1-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mario Prats <marioprats@gmail.com>  Mon, 23 Jan 2017 17:50:51 -0000

=== debian/control ===
Source: ros-kinetic-uwsim-osgbullet
Section: misc
Priority: extra
Maintainer: Mario Prats <marioprats@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libopenscenegraph-dev, openscenegraph, ros-kinetic-uwsim-bullet, ros-kinetic-uwsim-osgworks
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-uwsim-osgbullet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopenscenegraph-dev, openscenegraph, ros-kinetic-catkin, ros-kinetic-uwsim-bullet, ros-kinetic-uwsim-osgworks
Description: The OSG Bullet library adapted to UWSim.
 See https://code.google.com/p/osgbullet

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-uwsim-osgbullet//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
